Application: gvSIG desktop - gvSIG bugs #2036
Bad implementation of FLyrDefault.cloneLayer()

10/16/2013 09:44 AM - Jose Manuel Vivé Arnal

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Application

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Layer FLayer clone Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

The FLayer.clonelLayer() JavaDoc says it's a fast implementation of clone which return a new instance of the layer.
But, in fact, it's the fastest implementation because in the FLyrDefault implementation of this method looks like that:

public FLayer cloneLayer() throws Exception {
return this;

While developer thinks that this generates a new instance, he gets the very same instance. So, it can produce a very strange
behaviour in application (changes on one layer than affects to other in TOC, etc..).

| suggest to deprecate this method and make Flayer implements the org.gvsig.tools.lang.Cloneable inteface.

History

#1 - 01/13/2014 09:53 AM - Alvaro Anguix

- Assignee set to Joaquin del Cerro Murciano

#2 - 01/16/2014 12:00 PM - Alvaro Anguix
- Target version set to 2.1.0-2218-testing

#3 - 01/16/2014 04:52 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.2.0-2311-rc2

#4 - 04/04/2014 10:28 AM - Alvaro Anguix
- Priority changed from High to Normal

#5 - 04/04/2014 10:36 AM - Alvaro Anguix
- Assignee deleted (Joaquin del Cerro Murciano)

#6 - 01/28/2015 12:05 PM - Alvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#7 - 08/03/2023 02:03 PM - Alvaro Anguix
- Status changed from New to Outdated
